#(32/64bit)

%define	gstapi	0.10

%define name rhythmcat
%define version 1.0.1
%define release %mkrel 3

Summary: A Music Player with Plugin Support
Name:   %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: GPLv3
Group: Sound
URL: http://code.google.com/p/rhythmcat
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-----------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtksourceview3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}xml2-devel
#-----------------------------------------------------
Requires:	gstreamer%{gstapi}-plugins-good
Requires:	gstreamer%{gstapi}-plugins-base
Requires:	gtk+3.0
Obsoletes:	%name < %version

%description
RhythmCat Music Player is a music player which can be
running under Linux. It can be used as a normal music 
player, and it can also show lyrics in the player 
window, it can extend its functions by plugins...

%prep
%setup -q -n %{name}-%{version}
rm -rf plugins/base/debian
mv plugins/base/* plugins/extra

%build
%configure2_5x --enable-gtk3
%make 
pwd
cd plugins/extra
cd lyric-editor
%make -f Makefile3
cd ..
cd tageditor
%make -f Makefile3
cd ..
cd lyric-crawler
%make -f Makefile3
cd ..
cd lyric-show
%make -f Makefile3
cd ..
cd desktop-lyric
 %make -f Makefile3
cd ..
cd notify
%make -f Makefile3
cd ..
cd music-locator
%make -f Makefile3
cd ..

%install
rm -rf %{buildroot}
%makeinstall_std

#plugins
cd plugins/extra
cd lyric-show
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/lyric-show install
cd ..
cd desktop-lyric
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/desktop-lyric install
cd ..
cd notify
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/notify install
cd ..
cd music-locator
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/music-locator install
cd ..
cd lyric-editor
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/lyric-editor install
cd ..
cd tageditor
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/tageditor install
cd ..
cd lyric-crawler
%make -f Makefile3 INSTALL_DIR=%{buildroot}/usr/share/RhythmCat/plugins/lyric-crawler install
cd ..

mv %{buildroot}%{_bindir}/RhythmCat %{buildroot}%{_bindir}/%{name}
rm -f %{buildroot}%{_datadir}/applications/RhythmCat.desktop

#desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=GTK;AudioVideo;Player;X-MandrivaLinux-Multimedia-Sound;
Comment=RhythmCat Music Player
GenericName=Music Player
Icon=%{name}
Name=RhythmCat
Exec=%{name}
StartupNotify=false
Type=Application
Name[en_US]=RhythmCat Music Player
MimeType=application/x-ogg;application/ogg;audio/x-vorbis+ogg;audio/x-scpls;audio/x-mp3;audio/x-mpeg;audio/mpeg;audio/x-mpegurl;audio/x-flac;
EOF

#desktop icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -af %{buildroot}%{_datadir}/RhythmCat/images/RhythmCat_128x128.PNG \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING AUTHORS COPYING_*
%{_bindir}/%{name}
%{_datadir}/RhythmCat
%{_datadir}/locale/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Oct 13 2015 bb <bb> 1.0.1-3pclos2015
- rebuild for updates

* Wed Jan 15 2014 bb <bb> 1.0.1-2pclos2013
- adjust BR
- add explicit dep gtk+3.0

* Tue Jan 14 2014 Ken <lxgator at gmail.com> 1.0.1-1pclos2014
- Create pkg

